;Copyright CANON INC. 2019
; ScanSetup.ini
;
; LastModified: 19-Nov-2020
;
[Setup]
;-------------------------------------------------------------
; MUST
;-------------------------------------------------------------
; Default Target Directory
DefaultTargetDir=\CanonMF
DriverDir=\Driver
ExecMode=1
;-------------------------------------------------------------
; OPTIONAL
;-------------------------------------------------------------
; Readme File
Readme=Readme\Readme_SG.hta

; License Agreement
License=%FILE_LICENSE_REGION%

;String ini
Strings=misc\ScanSetupRes.ini

;Resource 
Resources=%FILE_RESOURCES%

;Uninstaller
[Uninstaller]
Version=1.4.0.1
UninstallerGUID={DE43D114-7085-41bf-9394-21DDD8661080}
Files.WINNT5=misc\ScanDelDrv.exe,misc\ScanDelDrv.ini,misc\Resource\ScanDelDrvRes*.DLL,misc\ScanSetupRes.ini,misc\Ext\SETEVENT.exe,misc\Ext\PMon\MFPMUI.ex_,misc\Ext\PMon\MFPMIU.ini,misc\Ext\SS\MFNSSUI.ex_,misc\Ext\SS\MFNSSIU.ini
Files.WINNT5_x64=misc\ScanDelDrv.exe,misc\ScanDelDrv.ini,misc\Resource\ScanDelDrvRes*.DLL,misc\ScanSetupRes.ini,misc\Ext\SETEVENT.exe,misc\Ext\PMon\MFPMUI.ex_,misc\Ext\PMon\MFPMIU.ini,misc\Ext\SS\MFNSSUI.ex_,misc\Ext\SS\MFNSSIU.ini
Files.WINXP_x64=misc\ScanDelDrv.exe,misc\ScanDelDrv.ini,misc\Resource\ScanDelDrvRes*.DLL,misc\ScanSetupRes.ini,misc\Ext\SETEVENT.exe,misc\Ext\PMon\MFPMUI.ex_,misc\Ext\PMon\MFPMIU.ini,misc\Ext\SS\MFNSSUI.ex_,misc\Ext\SS\MFNSSIU.ini
TargetDir=CanonSGMF Uninstaller Information
CommandLine=/U:%s /V "%s" /L "%s"

[ServicePacks]
WIN2K=0
WINXP=0
WINXP_x64=0

[NetworkWIAInstaller]
SetupPath=.\misc\Ext\nwiainst.ex_

[NetworkWIAInstance]
SetupPath=.\misc\Ext\nwiastup.ex_

[PushScanEvent]
ExePath=\misc\Ext\SetEvent.exe
CmdLine="-e=regist -d="%s" -l="%s\Canon\MF Scan Utility\MFSCANUTILITY.exe""

[Extension]
; Can be specified .x86, .x64
; Righthand value is <ExtensionID>,<DLLNAME>,<DLLEntryPoint>
; You can run extension directory by using /X<ExtensionID> commandline option.
;
%NAME_USB%=USB|DEFAULT
%NAME_NETWORK%=NET,misc\EXT\NiHelper.dll,HELPER_LaunchNetworkInstaller

[DiscoverData]
Methods=4
Character=65001
Timeout=600
Retry=3

[PortMonitor]
SetupPath=.\misc\Ext\PMon\MFPMIN.dll
UninstPath=.\misc\Ext\PMon\MFPMUI.ex_

[ScannerSelector]
SetupPath=.\misc\Ext\SS\MFNSSIN.ex_
CommandLine="-NOEULA -NOCONFIRMMSG -MODELNAME "%s""

[Common]
Diskspace=200
DefaultDeviceDir=\MFSCN
WIAInstallerCmdLine=/I:"CANON_MFNP&%MODEL_NAME%"
MDL=%MODEL_NAME%
ModelNameGeneric=MFSCN
KEY=HKLM,Software\Wow6432Node\Canon\SateraMFP1\ScanGear\11.3\Devices\%MODEL_NAME%
CopyInfName=MFSCN.INF
CopyCabName=Scan.cab
; 0x1 TWAIN&WIA
; 0x2 WIA Only
InstScanDriver=0x1
Uninst_Reg=SOFTWARE\Canon\SGGenMFUninst\
Uninst_Path=\Canon\SGGenMFUninstall\
InfGuid={D32D6EB4-632E-4b72-BDD7-08F6E81D1F6A}
ScannerHWID=USB\MS_COMP_SCAN&MS_SUBCOMP_CAOPIS2

[pdInfoTransrateTable]
MF540 Series=MF540
iR1643i=iR1643

[HardwareID]
MF540=USB\VID_04A9&PID_2824
iR1643=USB\VID_04A9&PID_2826
